# This file was automatically generated by SWIG (http://www.swig.org).
# Version 3.0.12
#
# Do not make changes to this file unless you know what you are doing--modify
# the SWIG interface file instead.

from sys import version_info as _swig_python_version_info
if _swig_python_version_info >= (2, 7, 0):
    def swig_import_helper():
        import importlib
        pkg = __name__.rpartition('.')[0]
        mname = '.'.join((pkg, '_swigdemo_test')).lstrip('.')
        try:
            return importlib.import_module(mname)
        except ImportError:
            return importlib.import_module('_swigdemo_test')
    _swigdemo_test = swig_import_helper()
    del swig_import_helper
elif _swig_python_version_info >= (2, 6, 0):
    def swig_import_helper():
        from os.path import dirname
        import imp
        fp = None
        try:
            fp, pathname, description = imp.find_module('_swigdemo_test', [dirname(__file__)])
        except ImportError:
            import _swigdemo_test
            return _swigdemo_test
        try:
            _mod = imp.load_module('_swigdemo_test', fp, pathname, description)
        finally:
            if fp is not None:
                fp.close()
        return _mod
    _swigdemo_test = swig_import_helper()
    del swig_import_helper
else:
    import _swigdemo_test
del _swig_python_version_info

try:
    _swig_property = property
except NameError:
    pass  # Python < 2.2 doesn't have 'property'.

try:
    import builtins as __builtin__
except ImportError:
    import __builtin__

def _swig_setattr_nondynamic(self, class_type, name, value, static=1):
    if (name == "thisown"):
        return self.this.own(value)
    if (name == "this"):
        if type(value).__name__ == 'SwigPyObject':
            self.__dict__[name] = value
            return
    method = class_type.__swig_setmethods__.get(name, None)
    if method:
        return method(self, value)
    if (not static):
        if _newclass:
            object.__setattr__(self, name, value)
        else:
            self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)


def _swig_setattr(self, class_type, name, value):
    return _swig_setattr_nondynamic(self, class_type, name, value, 0)


def _swig_getattr(self, class_type, name):
    if (name == "thisown"):
        return self.this.own()
    method = class_type.__swig_getmethods__.get(name, None)
    if method:
        return method(self)
    raise AttributeError("'%s' object has no attribute '%s'" % (class_type.__name__, name))


def _swig_repr(self):
    try:
        strthis = "proxy of " + self.this.__repr__()
    except __builtin__.Exception:
        strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)

try:
    _object = object
    _newclass = 1
except __builtin__.Exception:
    class _object:
        pass
    _newclass = 0


def hello_you():
    return _swigdemo_test.hello_you()
hello_you = _swigdemo_test.hello_you
class doubleArray(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, doubleArray, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, doubleArray, name)
    __repr__ = _swig_repr

    def __init__(self, nelements):
        this = _swigdemo_test.new_doubleArray(nelements)
        try:
            self.this.append(this)
        except __builtin__.Exception:
            self.this = this
    __swig_destroy__ = _swigdemo_test.delete_doubleArray
    __del__ = lambda self: None

    def __getitem__(self, index):
        return _swigdemo_test.doubleArray___getitem__(self, index)

    def __setitem__(self, index, value):
        return _swigdemo_test.doubleArray___setitem__(self, index, value)

    def cast(self):
        return _swigdemo_test.doubleArray_cast(self)
    if _newclass:
        frompointer = staticmethod(_swigdemo_test.doubleArray_frompointer)
    else:
        frompointer = _swigdemo_test.doubleArray_frompointer
doubleArray_swigregister = _swigdemo_test.doubleArray_swigregister
doubleArray_swigregister(doubleArray)

def doubleArray_frompointer(t):
    return _swigdemo_test.doubleArray_frompointer(t)
doubleArray_frompointer = _swigdemo_test.doubleArray_frompointer


def print_array(doubleArray, dim):
    return _swigdemo_test.print_array(doubleArray, dim)
print_array = _swigdemo_test.print_array

def compute_norm(doubleArray, dim):
    return _swigdemo_test.compute_norm(doubleArray, dim)
compute_norm = _swigdemo_test.compute_norm

def normalize(doubleArray, dim):
    return _swigdemo_test.normalize(doubleArray, dim)
normalize = _swigdemo_test.normalize
class intp(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, intp, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, intp, name)
    __repr__ = _swig_repr

    def __init__(self):
        this = _swigdemo_test.new_intp()
        try:
            self.this.append(this)
        except __builtin__.Exception:
            self.this = this
    __swig_destroy__ = _swigdemo_test.delete_intp
    __del__ = lambda self: None

    def assign(self, value):
        return _swigdemo_test.intp_assign(self, value)

    def value(self):
        return _swigdemo_test.intp_value(self)

    def cast(self):
        return _swigdemo_test.intp_cast(self)
    if _newclass:
        frompointer = staticmethod(_swigdemo_test.intp_frompointer)
    else:
        frompointer = _swigdemo_test.intp_frompointer
intp_swigregister = _swigdemo_test.intp_swigregister
intp_swigregister(intp)

def intp_frompointer(t):
    return _swigdemo_test.intp_frompointer(t)
intp_frompointer = _swigdemo_test.intp_frompointer

class doublep(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, doublep, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, doublep, name)
    __repr__ = _swig_repr

    def __init__(self):
        this = _swigdemo_test.new_doublep()
        try:
            self.this.append(this)
        except __builtin__.Exception:
            self.this = this
    __swig_destroy__ = _swigdemo_test.delete_doublep
    __del__ = lambda self: None

    def assign(self, value):
        return _swigdemo_test.doublep_assign(self, value)

    def value(self):
        return _swigdemo_test.doublep_value(self)

    def cast(self):
        return _swigdemo_test.doublep_cast(self)
    if _newclass:
        frompointer = staticmethod(_swigdemo_test.doublep_frompointer)
    else:
        frompointer = _swigdemo_test.doublep_frompointer
doublep_swigregister = _swigdemo_test.doublep_swigregister
doublep_swigregister(doublep)

def doublep_frompointer(t):
    return _swigdemo_test.doublep_frompointer(t)
doublep_frompointer = _swigdemo_test.doublep_frompointer


def add(x, y, result):
    return _swigdemo_test.add(x, y, result)
add = _swigdemo_test.add

def cnumpy_norm(npyInArray1D):
    return _swigdemo_test.cnumpy_norm(npyInArray1D)
cnumpy_norm = _swigdemo_test.cnumpy_norm

def cnumpy_normalize_inplace(npyInPlArray1D):
    return _swigdemo_test.cnumpy_normalize_inplace(npyInPlArray1D)
cnumpy_normalize_inplace = _swigdemo_test.cnumpy_normalize_inplace

def cnumpy_normalize_inplace2D(npyInPlArray2D):
    return _swigdemo_test.cnumpy_normalize_inplace2D(npyInPlArray2D)
cnumpy_normalize_inplace2D = _swigdemo_test.cnumpy_normalize_inplace2D

def cnumpy_ones_argout(npyOutArray1D):
    return _swigdemo_test.cnumpy_ones_argout(npyOutArray1D)
cnumpy_ones_argout = _swigdemo_test.cnumpy_ones_argout

def cnumpy_normalize_argout(npyOutArray1D, npyInArray1D):
    return _swigdemo_test.cnumpy_normalize_argout(npyOutArray1D, npyInArray1D)
cnumpy_normalize_argout = _swigdemo_test.cnumpy_normalize_argout

def cnumpy_add(npyOutArray1D, npyInArray1D_1, npyInArray1D_2):
    return _swigdemo_test.cnumpy_add(npyOutArray1D, npyInArray1D_1, npyInArray1D_2)
cnumpy_add = _swigdemo_test.cnumpy_add

def cnumpy_dot(*args):
    return _swigdemo_test.cnumpy_dot(*args)
cnumpy_dot = _swigdemo_test.cnumpy_dot
# This file is compatible with both classic and new-style classes.


